For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet payables list from accounting system
      • GETGet payable details from accounting system
      • GETGet invoice list from accounting system
      • GETGet invoice details from accounting system
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting data pull

Get invoice details from accounting system

GET
/accounting/receivables/:invoice_id
GET
/v1/accounting/receivables/:invoice_id
$curl https://api.sandbox.monite.com/v1/accounting/receivables/invoice_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "currency": "EUR",
4 "currency_rate": 1.1,
5 "customer_ref": {
6 "id": "120",
7 "company_name": "Acme Inc."
8 },
9 "due_date": "2024-01-15T09:30:00Z",
10 "invoice_number": "invoice_number",
11 "lines": [
12 {
13 "description": "Logo design",
14 "discount_amount": 1.1,
15 "discount_percentage": 1.1,
16 "ledger_account_id": "ledger_account_id",
17 "quantity": 1.1,
18 "tax_rate_ref": {
19 "id": "id"
20 },
21 "unit_amount": 1.1
22 }
23 ],
24 "memo": "memo",
25 "pass_through": {
26 "key": "value"
27 },
28 "posted_date": "posted_date"
29}
Returns information about an individual invoice that exists in the entity's accounting system. This invoice may or may not also exist in Monite.
Was this page helpful?
Previous

Get Synced Records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoice_idstringRequired

An internal ID of the invoice in the accounting system. You can get these IDs from GET /accounting/receivables.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstring
An internal identifier of the invoice in the accounting system.
currencystring

ISO-4217 currency code of the invoice.

currency_ratedouble
Rate to convert the total amount of the transaction into the entity's base currency at the time of the transaction.
customer_refobject
Information about the customer that the invoice was sent to.
due_datedatetime or string
Invoice due date.
invoice_numberstring
Invoice document number.
lineslist of objects
memostring
Any additional information or business notes about the invoice.
pass_throughmap from strings to any
An object containing additional invoice data returned by the accounting system. This sometimes includes custom invoice fields.
posted_datestringformat: "date"
Date when the invoice was added to the accounting service. This may differ from the invoice creation date.

Errors

422
Get Accounting Receivables ID Request Unprocessable Entity Error
500
Get Accounting Receivables ID Request Internal Server Error